Need to update browser but Ninjhax freezes at 70% with 9.2.0-10E

Discussion in '3DS - Flashcards & Custom Firmwares' started by BenoitRen, Jul 1, 2015.

  1. BenoitRen
    OP

    BenoitRen Member

    Newcomer
    18
    0
    Jul 1, 2015
    Belgium
    Yesterday I unpacked my old 3DS with firmware 4.3.0-10E. Today I got Cooking Mama: Bon Appétit, and used it to update my 3DS to 9.2. So far so good. Next I wanted to use a browser exploit to get into the eShop and buy Azure Striker Gunvolt before the Mighty Gunvolt promotion ends. However, despite trying repeatedly, it didn't work.

    After some reading I figured out that I needed to update my web browser to version 20. Okay, I had a bookmark to a post that explained how. Used 3DNUS to download the files, packed as a CIA. Placed the CIA and FBI on my SD card. Next I launched Cubic Ninja and launched the Ninjhax exploit. But no matter how many times I try, it remains stuck at 70%. I tried other QR codes as well, but it just isn't working.

    The FAQ suggests that I'm using a wrong QR code, but I double-checked it and I am using the correct one. Other users with the same problem suggested a different SD card. So I tried another one, but the problem persists.

    The only other option is to mail smea, which I did. But others who had the same problem never got an answer.

    HELP!
     


  2. BobDoleOwndU

    BobDoleOwndU GBAtemp Maniac

    Member
    1,164
    344
    Dec 28, 2013
    Canada
    First try clearing the browser's cache/cookies, clear Cubic Ninja's save game and retry the Old 9.2.0-10E QR code. If this is still not working, try using the 4.3.0-10E QR code (doubt this would work, but it's worth a shot). If it's still not working, it might not be a bad idea to contact smea and inform him that one of the QR codes isn't working properly.
     
  3. BenoitRen
    OP

    BenoitRen Member

    Newcomer
    18
    0
    Jul 1, 2015
    Belgium
    I did what you suggested, but it still doesn't work. I've already mailed smea anyway.
     
  4. pokemoner2500

    pokemoner2500 GBAtemp Advanced Fan

    Member
    846
    276
    Aug 14, 2013
    United States
    If you can load rxtools (via browser) then I suggest installing CIA's for 9.2.0-20, theres a thread somewhere for updating via CIA's, i don't have a link though.
     
  5. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,804
    4,991
    Mar 17, 2010
    Norway
    Alola
    I read NINJHAX requires the firmware version ending to be at least 7 to work, since you updated from such an old firmware it's likely your browser is too old.
     
  6. BenoitRen
    OP

    BenoitRen Member

    Newcomer
    18
    0
    Jul 1, 2015
    Belgium
    If it needs to be at least 7, then it should work, because before and after the update, it was already at 10.
     
  7. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Use rxTools, 3DNUS and sysupdater to update your sysnand to 9.2.0-20.
     
  8. BenoitRen
    OP

    BenoitRen Member

    Newcomer
    18
    0
    Jul 1, 2015
    Belgium
    I'm probably fucked. rxTools's FBI injection gives an unusual error. Unusual in that it should at least be able to open SecureInfo_A and B to give me my region and TMD version.

    I can't boot rxMode in sysnand either.
     
  9. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
  10. BenoitRen
    OP

    BenoitRen Member

    Newcomer
    18
    0
    Jul 1, 2015
    Belgium
    Since it was obvious my current setup wasn't even going to work, I downgraded to 4.5.0-8E using the Gateway menu. After doing that, I was able to launch Ninjhax. From the Homebrew Channel, I launched FBI. At first I tried to install to SD because I forgot to set mode to NAND, so it gave an error. Then I set mode to NAND, and it asked if I want to overwrite. I let it do so, and it installed the update browser. However, the system crashed when the installation was complete.

    After rebooting I checked my System Settings, and it said 4.5.0-8E, still. Ran Ninjhax again, but this time it didn't work. Figuring that maybe I had updated my web browser but the firmware didn't realise it because it's old, I updated back to 9.2. Once done, my firmware version read as 9.2.0-8E. Ninjhax still didn't work, so I tried the QR code for 9.2.0-20E. That did work. Launching FBI again, I tried to apply the update CIA once more, but it refused, saying there was an invalid argument.

    When I try to use the web browser now, it says that I need to do a system update first. AARGH
     
  11. mustafag32g

    mustafag32g GBAtemp Advanced Fan

    Member
    639
    437
    Jul 30, 2014
    Argentina
    I thought accessing rxtools with browser exploit on 9.2.0-20E wasn't possible ?
     
  12. BenoitRen
    OP

    BenoitRen Member

    Newcomer
    18
    0
    Jul 1, 2015
    Belgium
    And now we're back to the "stuck at 70%" game. It's like the web browser has been vaporised.
     
  13. BenoitRen
    OP

    BenoitRen Member

    Newcomer
    18
    0
    Jul 1, 2015
    Belgium
    I've had enough of this, so I updated my 3DS through the web. It's now at 9.8.0-25E. smea can put his exploit where the sun doesn't shine. This has caused me many hours of frustration.
     
  14. 75mak

    75mak GBAtemp Fan

    Member
    389
    111
    Nov 10, 2011
    Was there any solution to this?

    Im on the same firmware 9.2.0-10 updated from 8.1 using cooking mama. And i have the same problem with ninjahax.....


    Anyway of just updating the browser on 9.2?
     
  15. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,893
    Nov 30, 2014
    United States
    I've had to say this so many times...
    But smealum never noted it on his site so ..

    If your browser is -10 or less ninjhax 1.x will not work with anything 5.0 and up.
    This is just something i've noticed out of personal experience. (and seeing many others with the same issue)

    Now the good news is you can use ninjhax 2 which doens't depend on the browser and can now run cfw etc. (if you're on 9.0-9.2 [9.3+ if you only want homebrew])
     
    Last edited by zoogie, Oct 3, 2015
    75mak likes this.
  16. 75mak

    75mak GBAtemp Fan

    Member
    389
    111
    Nov 10, 2011
    Ninjahax 2.0 worked but freezes when i try load pasta from homebrew launcher.... any ideas.... im usibg same files from ninjahax 1 should i use ninjahax 2 files or are they the same?
     
  17. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,893
    Nov 30, 2014
    United States
    Well you need the updated boot.3dsx. Here, try mine with pasta built in.
    Just press X after the menu loads.
     

    Attached Files:

    • boot.zip
      File size:
      218.8 KB
      Views:
      566
    75mak likes this.
  18. 75mak

    75mak GBAtemp Fan

    Member
    389
    111
    Nov 10, 2011
    thanks for that. i managed to get pasta booted using that boot file and pressing x.... but then when i try to launch fbi installer going through again.... it just freezes with white lines over the screen.

    is there a way i can use fbi installer to get it system nand while using ninjahax 2

    if that doesn't work... can you suggest how i can update browser to above version 10 on 9.2 so i can get ninjahax 1 working?
     
  19. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,893
    Nov 30, 2014
    United States
    Are you using the latest FBI?
    https://github.com/Steveice10/FBI/releases
    (don't install it to nand)

    Otherwise just find update pack 9.2.0-20 on 'that other site' and upgrade using sysupdater. The first solution is less risky.

    Question: what entry point are you using? ex. cubic ninja, themehax
     
    Last edited by zoogie, Oct 3, 2015
  20. 75mak

    75mak GBAtemp Fan

    Member
    389
    111
    Nov 10, 2011
    i was using cubic ninja as an entry point

    yes... i was using the latest fbi which should have ninjhax 2.0 support.... i'm not sure about using sysupdater to get to 9.2.0-20 ....seems quite risky based on the warnings on the download page... need higher permissions with ninjhax 2, dont have firmlaunch enabled if using pasta etc... if i had to use it i would go down the PBT cfw route.... so probably would need to downgrade, run pbt.... upgrade to 9.2.0-20 if i can using sysupdater from there... that's all too long.

    i'll just try get rxtools installed without using cubic ninja....
     
    Last edited by 75mak, Oct 3, 2015